function init(hero) {
    hero.setName("Rocket Raccoon");
    hero.setTier(5);
    
    hero.setHelmet("Head");
    hero.setChestplate("Chestpiece");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    hero.addPrimaryEquipment("fiskheroes:rip_hunters_gun", true);
    hero.addPrimaryEquipment("fiskheroes:chronos_rifle", true);

    hero.addPowers("tgheroes:raccon");
    hero.addAttribute("PUNCH_DAMAGE", 5.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 2.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 4.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.1, 1);
    
    hero.addKeyBind("AIM", "key.aim", -1);
	hero.setDefaultScale(0.66); 

    hero.setKeyBindEnabled((entity, keyBind) => keyBind != "GUN_RELOAD" || entity.getHeldItem().isGun() && !entity.getData("fiskheroes:aiming"));
    hero.supplyFunction("canAim", entity => entity.getHeldItem().isGun() || entity.getHeldItem().name() == "fiskheroes:chronos_rifle" || entity.getHeldItem().name() == "fiskheroes:rip_hunters_gun");
    hero.setHasPermission(hasPermission);

}

function hasPermission(entity, permission) {
    return permission == "USE_CHRONOS_RIFLE" || permission == "USE_GUN" || permission == "USE_RIPS_GUN";
}



